Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1112320 - RFE: Provide extended reports needed for Transition Tooling
Summary: RFE: Provide extended reports needed for Transition Tooling
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: New Feature
Version: 560
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomas Lestach
QA Contact: Lukas Pramuk
URL:
Whiteboard:
Depends On:
Blocks: sat560-triage
TreeView+ depends on / blocked
 
Reported: 2014-06-23 15:19 UTC by Tomas Lestach
Modified: 2014-08-12 12:34 UTC (History)
2 users (show)

Fixed In Version: spacewalk-reports-2.0.1-13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-01 12:51:51 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2014:0823 normal SHIPPED_LIVE spacewalk-reports enhancement update 2014-07-01 16:50:53 UTC

Description Tomas Lestach 2014-06-23 15:19:30 UTC
Description of problem:
Extend spacewalk-reports to be able to export various entities in csv format from Red Hat Satellite 5 in order to migrate them to Red Hat Satellite 5.

Version-Release number of selected component (if applicable):
Red Hat Satellite 5.6

Comment 2 Tomas Lestach 2014-06-24 08:51:01 UTC
Basically, all the reports related enhancements in spacewalk.git:
 dc0994915eafce4cb1e82b7e5251fd3d0d9700f3
 f29691fbb0a540ff206fee0d06e0e431d78f27af
 5cc155160fcd1659708f5fa68f2d97427dfcf784
 f1b00b4e108f137cc58356273e560afaaaabab28
 a640c1ac55584017a586ee44d34638fba5f5991f
 3630c10ea5641c2f9009d70d63ea2f7f08803794
 6105238ef33aff5ce429b3b63a3a6a7813e55ef1
 377d5eb8fd24ae2d0c7bfd606a4f5fc756ba0394
 d6b18cf969449755cb4dcbfa313faf9307149bf0
 2b56a280805e6e87cdd24c61161e1d95e9672bb9
 a3dc3ea62eb4ac274dfa53f96f71d3dcb3058fbf
 9356aa5499f9ec6a93478864afa4743c23532cc5
 459ee8c1f352562064fd8691f02db822e53b99ed

Comment 5 Lukas Pramuk 2014-06-26 09:23:38 UTC
VERIFIED. spacewalk-reports-2.0.1-13.el6sat

1) New (4) reports are available:

# spacewalk-report activation-keys
org_id,token,note,usage_limit,is_disabled,deploys_configs,entitlement,channel_label,base_channel_id,child_channel_id,cfg_channel_pos,server_group,server_group_id,package_name
...
# spacewalk-report custom-channels
org_id,id,channel_label,name,summary,description,parent_channel_label,channel_arch,checksum_type,associated_repo_id_label
...
# spacewalk-report kickstart-scripts
id,org_id,script_name,kickstart_id,kickstart_label,position,script_type,chroot,interpreter,data
...
# spacewalk-report repositories
org_id,id,repo_label,repo_type,source_url,client_key_descr,client_key_type,client_key,client_cert_descr,client_cert_type,client_cert,ca_descr,ca_type,ca_key
...

2) Modified (1) report is updated:

NEW:
# spacewalk-report channels
channel_label,channel_name,number_of_packages,org_id
...
vs.

OLD:
# spacewalk-report channels
channel_label,channel_name,number_of_packages
...

Comment 7 errata-xmlrpc 2014-07-01 12:51:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2014-0823.html


Note You need to log in before you can comment on or make changes to this bug.